CATMAN(8)

NOM
catman - Créer ou mettre à jour les pages de manuel préformatées

SYNOPSIS
catman [-d?V] [-M chemin] [-C fichier] [section] ...

DESCRIPTION
catman est utilisé pour créer et mettre à jour l'ensemble des pages de manuel préformatées, connues sous le nom de pages « cat ». Les pages « cat » sont, en général, plus rapides à afficher que les pages de manuel d'origine mais requièrent un espace de stockage supplémentaire. La décision de gérer, ou non, les pages « cat » est de la responsabilité de l'administrateur local qui doit créer les répertoires nécessaires à leur stockage. Les options de catman permettent de préciser les structures hiérarchiques de pages de manuel, ainsi que les sections, à préformater. Les structures hiérarchiques des pages traitées par défaut sont celles spécifiées comme structures hiérarchiques « système » dans le fichier de configuration de man-db. Les sections par défaut sont celles, séparées par des « : », contenues dans la variable d'environnement $MANSECT. Si $MANSECT n'est pas définie alors la liste standard, compilée dans man, sera utilisée. La présence de plusieurs sections, séparées par des blancs (whitespace), dans la commande catman, remplacera les deux valeurs par défaut précédentes. catman utilise la base de données d'indexation, associée à chaque structure hiérarchique de pages de manuel, pour déterminer quels sont les fichiers qui doivent être formatés.

OPTIONS

-d, --debug
    Affiche les informations de mise au point.

-M liste_de_chemins, --manpath=liste_de_chemins
    Indique la liste des chemins d'accès aux structures hiérarchiques des pages de manuel. Les éléments de cette liste doivent être séparés par « : ». Par défaut, il s'agit de l'ensemble des chemins correspondants aux structures hiérarchiques « système », indiqués dans le fichier de configuration de man-db.

-C fichier, --config-file=fichier
    Utilise le fichier de configuration indiqué au lieu du fichier ~/.manpath par défaut.

-?, --help
    Affiche un message d'aide et s'arrête.

--usage
    Affiche un court mode d'emploi et s'arrête.

-V, --version
    Affiche le numéro de version.

ENVIRONNEMENT

MANSECT
    Si $MANSECT est définie, sa valeur est une liste de sections, séparées par des deux-points. Cette liste est utilisée pour déterminer les sections de manuel, et l’ordre, utilisés pour la recherche. C’est « 1 1p 8 2 3 3p 4 5 6 7 9 0p tcl n l p o 1x 2x 3x 4x 5x 6x 7x 8x » par défaut, à moins d’être écrasée par la directive SECTION dans /etc/man_db.conf.

MANPATH
    Si $MANPATH est définie, sa valeur est interprétée comme une liste d'éléments, séparés par des deux-points, représentant les chemins d'accès aux structures hiérarchiques de pages de manuel.

FICHIERS

/etc/man_db.conf
    Fichier de configuration de man-db.

/usr/man/index.(bt|db|dir|pag)
    Base de données d'indexation globale habituelle.

/var/catman/index.(bt|db|dir|pag)
    Base de données d'indexation globale de remplacement ou conforme à FSSTND.

VOIR AUSSI
man(1), manpath(5), mandb(8)

AUTEUR
Wilf. (G.Wilford@ee.surrey.ac.uk).
Fabrizio Polacco (fpolacco@debian.org).
Colin Watson (cjwatson@debian.org).

TRADUCTION
Cette traduction est maintenue à l'aide de l'outil po4a <URL:http://po4a.alioth.debian.org/> par l'équipe francophone de traduction de Debian.

Valéry Perrin <valery.perrin.debian@free.fr> le 2 janvier 2006. David Prévot <david@tilapin.org> et l'équipe francophone de traduction de Debian (2010).

Veuillez signaler toute erreur de traduction en écrivant à <debian-l10n-french@lists.debian.org> ou par un rapport de bogue sur le paquet man-db.

Vous pouvez toujours avoir accès à la version anglaise de ce document en utilisant la commande « man -L C <section> <page_de_man> ».